<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sign Up</title>
    <link href="static/css/container.css" rel="stylesheet">
    <link href="static/css/sign.css" rel="stylesheet">
</head>
<body>
    <div class="container">
        <form action="signUp" class="window" autocomplete="off" method="GET" id="fo">
            <div class="body">
                <input type="text" placeholder="ID" name="id" id="id">
            </div>
            <div class="footer">
                <button id="check">NEXT</button>
            </div>
        </form>
    </div>
</body>

<script>
    
    var id =document.getElementById("id");
    var fo = document.getElementById("fo");
    var regExp1 = /^[0-9a-zA-Z\_]{6,12}$/;
    fo.onsubmit = () => {
        if (id.value=="") {
            alert("빈칸을 채워주세요.");
            return false;
        }
        if(!regExp1.test(id.value)) {
            alert("6~12의 대소문자의 알파벳과 하이픈(_)문자만 사용가능합니다.");
            return false;
        }
    }
</script>
</html>
